/*
 * FilesVector.java
 * Created on 2005/03/03, 22:20
 *
 * This class is a part of "Jar Manager" that reads jar-files and views, inflates whole
 * archived contents imediately.
 * Copyright (C) 2005 Kamali(J)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package com.kamali;

import java.util.*;

/**
 *
 * @author  Kamali
 */
public class FilesVector extends Object {
    
    /** Creates a new instance of FilesVector */
    public FilesVector() {
        super();
    }

    public synchronized String toString() {
        return (String.valueOf(vector.size()) + " files..");
    }

    public int size() {
        return vector.size();
    }

    public void addElement(Object obj) {
        vector.addElement(obj);
    }

    public Object elementAt(int i) {
        return vector.elementAt(i);
    }

    private Vector vector = new Vector();
}
